#  DNLP written by GAMS Convert at 05/24/17 13:23:51
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         22       21        0        1        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         25       25        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#         69       41       28        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x2 = Var(within=Reals,bounds=(0,10),initialize=0)
m.x3 = Var(within=Reals,bounds=(0,5),initialize=0)
m.x4 = Var(within=Reals,bounds=(0,15),initialize=0)
m.x5 = Var(within=Reals,bounds=(0,20),initialize=0)
m.x6 = Var(within=Reals,bounds=(0,20),initialize=0)
m.x7 = Var(within=Reals,bounds=(0,20),initialize=0)
m.x8 = Var(within=Reals,bounds=(None,0),initialize=0)
m.x9 = Var(within=Reals,bounds=(None,0),initialize=0)
m.x10 = Var(within=Reals,bounds=(0,40),initialize=0)
m.x11 = Var(within=Reals,bounds=(0,40),initialize=0)
m.x12 = Var(within=Reals,bounds=(None,0),initialize=0)
m.x13 = Var(within=Reals,bounds=(None,0),initialize=0)
m.x14 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x15 = Var(within=Reals,bounds=(0,None),initialize=8)
m.x16 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x17 = Var(within=Reals,bounds=(0,None),initialize=26)
m.x18 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x19 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x20 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x21 = Var(within=Reals,bounds=(0,None),initialize=70)
m.x22 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x23 = Var(within=Reals,bounds=(0,None),initialize=4)
m.x24 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x25 = Var(within=Reals,bounds=(0,None),initialize=0)

m.obj = Objective(expr=(-(200 - m.x6 - m.x10)*(m.x6 + m.x10)) - (160 - m.x7 - m.x11)*(m.x7 + m.x11), sense=minimize)

m.c2 = Constraint(expr=   m.x2 + m.x3 + m.x4 + m.x5 <= 40)

m.c3 = Constraint(expr=   2*m.x6 - 0.4*m.x8 - 0.6*m.x9 - m.x14 + m.x15 == 8)

m.c4 = Constraint(expr=   2*m.x7 - 0.7*m.x8 - 0.3*m.x9 - m.x16 + m.x17 == 26)

m.c5 = Constraint(expr= - m.x2 + 0.4*m.x6 + 0.7*m.x7 + m.x18 == 0)

m.c6 = Constraint(expr= - m.x3 + 0.6*m.x6 + 0.3*m.x7 + m.x19 == 0)

m.c7 = Constraint(expr=   2*m.x10 - 0.4*m.x12 - 0.6*m.x13 - m.x20 + m.x21 == 70)

m.c8 = Constraint(expr=   2*m.x11 - 0.7*m.x12 - 0.3*m.x13 - m.x22 + m.x23 == 4)

m.c9 = Constraint(expr= - m.x4 + 0.4*m.x10 + 0.7*m.x11 + m.x24 == 0)

m.c10 = Constraint(expr= - m.x5 + 0.6*m.x10 + 0.3*m.x11 + m.x25 == 0)

m.c11 = Constraint(expr=m.x14*m.x6 == 0)

m.c12 = Constraint(expr=m.x15*(20 - m.x6) == 0)

m.c13 = Constraint(expr=m.x16*m.x7 == 0)

m.c14 = Constraint(expr=m.x17*(20 - m.x7) == 0)

m.c15 = Constraint(expr=-m.x18*m.x8 == 0)

m.c16 = Constraint(expr=-m.x19*m.x9 == 0)

m.c17 = Constraint(expr=m.x20*m.x10 == 0)

m.c18 = Constraint(expr=m.x21*(40 - m.x10) == 0)

m.c19 = Constraint(expr=m.x22*m.x11 == 0)

m.c20 = Constraint(expr=m.x23*(40 - m.x11) == 0)

m.c21 = Constraint(expr=-m.x24*m.x12 == 0)

m.c22 = Constraint(expr=-m.x25*m.x13 == 0)
