#  DNLP written by GAMS Convert at 05/24/17 13:23:53
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#          5        5        0        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#          6        6        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#         14        8        6        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x2 = Var(within=Reals,bounds=(0,15),initialize=7.5)
m.x3 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x4 = Var(within=Reals,bounds=(0,None),initialize=1)
m.x5 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x6 = Var(within=Reals,bounds=(0,None),initialize=12.5)

m.obj = Objective(expr=m.x2**2 + (-10 + m.x3)**2, sense=minimize)

m.c2 = Constraint(expr=   4*m.x2 + 8*m.x3 + m.x4 - m.x5 == 120)

m.c3 = Constraint(expr= - m.x2 - m.x3 - m.x6 == -20)

m.c4 = Constraint(expr=m.x5*m.x3 == 0)

m.c5 = Constraint(expr=m.x6*m.x4 == 0)
